From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/autobahn/
Date: Fri, 26 Feb 2021 08:30:22 +0000 (UTC) [thread overview]
Message-ID: <1614328180.79fbc0656980257ac90bafb3e95597172d4a9834.mgorny@gentoo> (raw)
commit: 79fbc0656980257ac90bafb3e95597172d4a9834
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 26 08:12:59 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 26 08:29:40 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79fbc065
dev-python/autobahn: Bump to 21.2.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/autobahn/Manifest | 1 +
dev-python/autobahn/autobahn-21.2.2.ebuild | 108 +++++++++++++++++++++++++++++
2 files changed, 109 insertions(+)
diff --git a/dev-python/autobahn/Manifest b/dev-python/autobahn/Manifest
index 3a0967dcb20..80a13018f41 100644
--- a/dev-python/autobahn/Manifest
+++ b/dev-python/autobahn/Manifest
@@ -3,3 +3,4 @@ DIST autobahn-20.12.3.tar.gz 1268873 BLAKE2B 44dcaf9d19af89382dfdef9f40a01774862
DIST autobahn-20.7.1.tar.gz 1260579 BLAKE2B 925d148836348c068d179d4871267bf79c8c42d27cacc6be09cca11396dbd213a5b86344142df886d4ff69d1214a86b49900ca3552bcdb640377cb0d6af7d0f0 SHA512 e2c241194da90ada86a2804683cb063320f75a69b76ddc016349c11614e7f298619c2eeba4fcccb8f8d65d84375681fb339d9f92f94f45f1015f4f12fa0c39b0
DIST autobahn-21.1.1.tar.gz 1269122 BLAKE2B 6eb8eb22d0f09a4e8d409220ee2dff60a42a4e81acee789e8f9d98649ada24174295b98936f5e0a0a211fddd6d124975aef152679fcfde7b3dca7f18dcba5b62 SHA512 8e56e8a9213e356ea4288c6ed6ba4d6e8a26f5e1f670cfc067d1e11ef4d989b4e3d33a5cac49a635e18f9d45da1d42cb1300de96afdf77898441330e3f489194
DIST autobahn-21.2.1.tar.gz 343966 BLAKE2B 8ee40610599aad6b0e6832beb867ff7515192e9a896d4f1e1b2c731fb81c899bf530f24d28e52faa91779affb1ed93b9b79b606b1ac7d3ed26a272dfcf6a0afc SHA512 21760aeac80c1e958a338da31d405af2f37c803944032270329dde4b59e6a9f914e9a7e4ae0ae6ae5b699ddc61f0c2f6b89cb0d6d4fdc3b1b58f204d4e94a980
+DIST autobahn-21.2.2.tar.gz 350799 BLAKE2B 06c5f7517083853bcf2e4c982151caadae2c5c0c547f543f310497addda14ff6262adaf876dcd5ce25ab48fd8b9b9c816ff74f518f3aedc65627ee3390db514b SHA512 6dbad05437c92622709c140fd949706c8fbff62477cf9fa5a8bbcb8c5410661b660d548902ebec55b5a8d744cce12c9a229bceeb3d5e7e5dc4e50cb09f7e7ab7
diff --git a/dev-python/autobahn/autobahn-21.2.2.ebuild b/dev-python/autobahn/autobahn-21.2.2.ebuild
new file mode 100644
index 00000000000..b6998f8b8f7
--- /dev/null
+++ b/dev-python/autobahn/autobahn-21.2.2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+MY_P=${PN}-$(ver_rs 3 -)
+
+DESCRIPTION="WebSocket and WAMP for Twisted and Asyncio"
+HOMEPAGE="https://pypi.org/project/autobahn/
+ https://crossbar.io/autobahn/
+ https://github.com/crossbario/autobahn-python"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="crypt scram test xbr"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/cbor-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/cbor2-5.2.0[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/flatbuffers-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/hyperlink-21.0.0[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-0.6.1[${PYTHON_USEDEP}]
+ >=dev-python/py-ubjson-0.8.4[${PYTHON_USEDEP}]
+ >=dev-python/snappy-0.5[${PYTHON_USEDEP}]
+ >=dev-python/twisted-20.3.0[${PYTHON_USEDEP}]
+ >=dev-python/txaio-21.2.1[${PYTHON_USEDEP}]
+ >=dev-python/ujson-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/wsaccel-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/zope-interface-3.6[${PYTHON_USEDEP}]
+ crypt? (
+ >=dev-python/pyopenssl-16.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytrie-0.2[${PYTHON_USEDEP}]
+ >=dev-python/pyqrcode-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ )
+ scram? (
+ dev-python/cffi[${PYTHON_USEDEP}]
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/passlib[${PYTHON_USEDEP}]
+ )
+ "
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytrie-0.2[${PYTHON_USEDEP}]
+ >=dev-python/pyqrcode-1.1.0[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ if use xbr ; then
+ eerror "***************"
+ eerror "Required xbr dependencies are incomplete in Gentoo."
+ eerror "So this functionality will not yet work"
+ eerror "Please file a bug if this feature is needed"
+ eerror "***************"
+ else
+ # remove xbr components
+ export AUTOBAHN_STRIP_XBR="True"
+ fi
+
+ # avoid useless rust dependency
+ sed -i -e '/cryptography/s:>=3.4.6::' setup.py || die
+
+ # remove twisted plugin cache regen in setup.py
+ # to fix tinderbox sandbox issue
+ sed -e 's/# regenerate Twisted plugin cache/# DO NOT regenerate Twisted plugin cache in Gentoo\nexit()/' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ einfo "Testing all, cryptosign using twisted"
+ local -x USE_TWISTED=true
+ cd "${BUILD_DIR}"/lib || die
+ "${EPYTHON}" -m twisted.trial autobahn || die
+ unset USE_TWISTED
+ einfo "RE-testing cryptosign and component_aio using asyncio"
+ local -x USE_ASYNCIO=true
+ pytest -vv autobahn/wamp/test/test_wamp_cryptosign.py || die
+ pytest -vv autobahn/wamp/test/test_wamp_component_aio.py || die
+ unset USE_ASYNCIO
+ rm -r .pytest_cache || die
+ rm "${BUILD_DIR}"/lib/twisted/plugins/dropin.cache || die
+}
+
+pkg_postinst() {
+ python_foreach_impl twisted-regen-cache || die
+}
+
+pkg_postrm() {
+ python_foreach_impl twisted-regen-cache || die
+}
next reply other threads:[~2021-02-26 8:30 UTC|newest]
Thread overview: 135+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-02-26 8:30 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-21 4:35 [gentoo-commits] repo/gentoo:master commit in: dev-python/autobahn/ Michał Górny
2024-08-17 8:33 Jakov Smolić
2024-08-17 8:33 Jakov Smolić
2024-08-17 7:58 Michał Górny
2024-08-17 7:58 Michał Górny
2024-08-03 5:03 Michał Górny
2024-04-18 15:45 Michał Górny
2024-04-18 15:45 Michał Górny
2024-01-26 21:21 Arthur Zamarin
2023-07-24 14:23 Michał Górny
2023-07-24 12:07 Jakov Smolić
2023-07-24 9:25 Jakov Smolić
2023-06-14 16:11 Michał Górny
2023-06-05 5:07 Michał Górny
2023-05-04 16:11 Michał Górny
2023-03-04 6:37 Arthur Zamarin
2023-02-17 6:21 Michał Górny
2023-02-16 22:57 Sam James
2023-02-16 20:58 Arthur Zamarin
2023-02-08 6:27 Michał Górny
2023-01-16 6:11 Michał Górny
2022-12-19 6:46 Michał Górny
2022-09-07 5:16 Michał Górny
2022-09-06 21:38 Sam James
2022-09-06 21:25 Sam James
2022-09-06 21:15 Sam James
2022-09-06 19:31 Arthur Zamarin
2022-08-12 14:09 Michał Górny
2022-08-12 10:49 Agostino Sarubbo
2022-08-09 7:43 Agostino Sarubbo
2022-08-08 19:59 Arthur Zamarin
2022-08-08 19:47 Arthur Zamarin
2022-08-03 17:30 Arthur Zamarin
2022-07-09 8:41 Michał Górny
2022-07-05 8:47 Michał Górny
2022-07-05 7:28 Agostino Sarubbo
2022-07-04 10:34 Agostino Sarubbo
2022-07-04 6:55 Agostino Sarubbo
2022-07-04 6:51 Agostino Sarubbo
2022-06-22 12:04 Michał Górny
2022-06-22 11:57 Jakov Smolić
2022-06-22 5:50 Agostino Sarubbo
2022-06-22 5:45 Agostino Sarubbo
2022-06-21 19:26 Arthur Zamarin
2022-06-11 6:34 Michał Górny
2022-06-03 11:37 Michał Górny
2022-06-03 5:37 Michał Górny
2022-05-19 15:23 Michał Górny
2022-05-05 7:12 Arthur Zamarin
2022-04-27 7:07 Michał Górny
2022-04-27 4:34 Arthur Zamarin
2022-04-26 22:05 Sam James
2022-04-26 21:49 Sam James
2022-04-26 17:18 Arthur Zamarin
2022-03-28 10:14 Michał Górny
2022-03-27 9:31 Michał Górny
2022-03-18 8:44 Michał Górny
2022-03-18 8:42 Arthur Zamarin
2022-03-15 12:33 Jakov Smolić
2022-03-15 10:37 Jakov Smolić
2022-03-15 10:37 Jakov Smolić
2022-03-14 10:32 Yixun Lan
2022-02-24 7:35 Michał Górny
2022-02-23 21:30 Michał Górny
2022-01-28 23:08 Michał Górny
2022-01-28 23:01 Michał Górny
2021-12-23 0:12 Michał Górny
2021-12-22 22:40 Sam James
2021-12-22 19:42 Jakov Smolić
2021-12-22 19:38 Arthur Zamarin
2021-12-22 19:29 Arthur Zamarin
2021-11-22 17:31 Arthur Zamarin
2021-10-06 17:48 Arthur Zamarin
2021-05-16 15:09 Michał Górny
2021-05-16 12:45 Sam James
2021-05-16 0:07 Sam James
2021-04-29 10:09 Michał Górny
2021-03-28 10:02 Agostino Sarubbo
2021-03-15 16:18 Agostino Sarubbo
2021-03-03 8:07 Michał Górny
2021-02-26 9:52 Michał Górny
2021-02-14 19:15 Brian Dolbec
2021-02-13 20:48 Brian Dolbec
2021-02-06 8:59 Michał Górny
2021-01-21 7:40 Agostino Sarubbo
2021-01-17 18:51 Brian Dolbec
2020-12-16 11:30 Michał Górny
2020-12-16 11:12 Sam James
2020-12-14 23:20 Michał Górny
2020-12-14 8:21 Michał Górny
2020-12-14 8:21 Michał Górny
2020-12-06 23:25 Sam James
2020-12-06 19:38 Sam James
2020-07-20 17:19 Brian Dolbec
2020-07-20 11:45 Sam James
2020-07-20 2:32 Sam James
2020-07-18 1:58 Brian Dolbec
2020-06-02 22:21 Mart Raudsepp
2020-05-10 8:20 Brian Dolbec
2020-05-09 0:51 Brian Dolbec
2020-04-24 6:27 Michał Górny
2020-04-17 6:07 Agostino Sarubbo
2020-04-16 13:28 Michał Górny
2020-03-27 14:48 Michał Górny
2020-03-26 14:15 Agostino Sarubbo
2020-03-26 11:48 Michał Górny
2020-03-17 7:23 Michał Górny
2020-02-04 13:10 Michał Górny
2019-06-25 9:05 Michael Haubenwallner
2019-05-21 16:22 Stephen Klimaszewski
2018-03-18 19:19 Michał Górny
2018-03-09 17:59 Matt Thode
2018-01-19 22:55 Brian Dolbec
2018-01-02 22:14 Michał Górny
2017-09-28 13:42 Michael Palimaka
2017-09-28 13:42 Michael Palimaka
2017-09-20 20:11 Brian Dolbec
2017-09-20 20:11 Brian Dolbec
2017-09-08 20:53 Markus Meier
2017-08-01 22:18 Manuel Rüger
2017-08-01 18:52 Brian Dolbec
2017-07-31 9:33 Tobias Klausmann
2017-06-17 17:00 Brian Dolbec
2017-06-17 17:00 Brian Dolbec
2017-06-16 21:50 Brian Dolbec
2017-06-16 0:43 Brian Dolbec
2017-05-16 2:10 Brian Dolbec
2017-01-26 22:35 Michał Górny
2016-10-12 22:07 Brian Dolbec
2016-08-31 1:18 Brian Dolbec
2016-02-18 10:22 Patrick Lauer
2016-01-03 16:08 Patrick Lauer
2015-12-13 9:54 Justin Lecher
2015-11-10 10:54 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1614328180.79fbc0656980257ac90bafb3e95597172d4a9834.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox